IMX477 on Jetson AGX Orin with Kernel version: 5.15.122-tegra-36.2.0

Hello. I bought this module - https://www.arducam.com/product/arducam-12mp-multi-camera-kit-for-nvidia-jetson-agx-orin/. According to the instructions, you need to install the drivers for imx477 using the command “./install_full.sh -m imx477”. But I fail and get an error, because I have Kernel version: 5.15.122-tegra-36.2.0-20232118214829, and the latest available version on this link (Releases · ArduCAM/MIPI_Camera · GitHub) has the version arducam-nvidia-l4t-kernel-t234-agx-orin-5.10.120-tegra-35.4.1.

Is there any way to install the drivers on my 36.2.0 version to make the camera work? Or are there no options and do I have to downgrade to 35.4.1? Because I really need 36.2.0 and I don’t want to downgrade.

@Alexander

I am adapting to this version of the system. Please be patient, we are going to have a 10-day New Year holiday recently, and I will continue this work after that.

1 Like

I understand, thank you. Could you tell me how long we can expect it to take? About a month, or 2, or 3?